package com.muyu.openbusiness.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 围栏组对象 sys_fence_group
 *
 * @author muyu
 * @date 2024-09-17
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_fence_group")
public class SysFence{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 围栏组编码 */
    @Excel(name = "围栏组编码")
    private String groupCode;

    /** 围栏组名称 */
    @Excel(name = "围栏组名称")
    private String groupName;

    /** 围栏组类型 */
    @Excel(name = "围栏组类型")
    private String groupType;

    /** 启用状态 */
    @Excel(name = "启用状态")
    private String state;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createBy;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private Date createTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updateBy;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private Date updateTime;

    /** 启用状态 */
    @Excel(name = "启用状态")
    private String remark;

//    /** sysfindname */
//    @Excel(name = "电子围栏集群")
//    private String sysfindname;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("groupCode", getGroupCode())
            .append("groupName", getGroupName())
            .append("groupType", getGroupType())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
//            .append("sysfindname", getSysfindname())
            .append("remark", getRemark())
            .toString();
    }
}
